org.apache.commons.math.distribution

## Interface HasDensity<P>

- Type Parameters:
    `P` - the type of the point at which density is to be computed, this may be for example `Double.`

    This interface is deprecated. As of version 2.0, the `ContinuousDistribution` interface will be extended to include a `density(double)`method.``

  All Known Subinterfaces:
    BetaDistribution, ChiSquaredDistribution, ExponentialDistribution, GammaDistribution, NormalDistribution
  All Known Implementing Classes:
    BetaDistributionImpl, ChiSquaredDistributionImpl, ExponentialDistributionImpl, GammaDistributionImpl, NormalDistributionImpl

  Deprecated.
  to be removed in math 3.0

      @Deprecated
      public interface HasDensity<P>

  Interface that signals that a distribution can compute the probability density function for a particular point.

  Version:
    $Revision: 1042336 $ $Date: 2010-12-05 13:40:48 +0100 (dim. 05 déc. 2010) $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `density(P x)` Deprecated. Compute the probability density function.

- - ### Method Detail

    - #### density

          double density(P x)
                         throws MathException

      Deprecated.
      Compute the probability density function.
      Parameters:
        `x` - point for which the probability density is requested
      Returns:
        probability density at point x
      Throws:
        `MathException` - if probability density cannot be computed at specifed point

Copyright (c) 2003-2013 Apache Software Foundation